scala.tools.nsc.backend.jvm.GenASM

# CClassWriter

#### class CClassWriter extends ClassWriter

Source
  GenASM.scala

Linear Supertypes
ClassWriter, ClassVisitor, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CClassWriter
2. ClassWriter
3. ClassVisitor
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new CClassWriter(flags: Int)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from CClassWriter to any2stringadd[CClassWriter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (CClassWriter, B)

   Implicit information
     This member is added by an implicit conversion from CClassWriter to ArrowAssoc[CClassWriter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (CClassWriter) ⇒ Boolean, msg: ⇒ Any): CClassWriter

   Implicit information
     This member is added by an implicit conversion from CClassWriter to Ensuring[CClassWriter] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (CClassWriter) ⇒ Boolean): CClassWriter

   Implicit information
     This member is added by an implicit conversion from CClassWriter to Ensuring[CClassWriter] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): CClassWriter

    Implicit information
      This member is added by an implicit conversion from CClassWriter to Ensuring[CClassWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): CClassWriter

    Implicit information
      This member is added by an implicit conversion from CClassWriter to Ensuring[CClassWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def findItemByIndex(arg0: Int): Item

    Definition Classes
      ClassWriter

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from CClassWriter to StringFormat[CClassWriter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def getCommonSuperClass(iname1: String, iname2: String): String

    Definition Classes
      CClassWriter → ClassWriter

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def newClass(arg0: String): Int

    Definition Classes
      ClassWriter

23. #### def newConst(arg0: Any): Int

    Definition Classes
      ClassWriter

24. #### def newField(arg0: String, arg1: String, arg2: String): Int

    Definition Classes
      ClassWriter

25. #### def newHandle(arg0: Int, arg1: String, arg2: String, arg3: String): Int

    Definition Classes
      ClassWriter

26. #### def newInvokeDynamic(arg0: String, arg1: String, arg2: Handle, arg3: <repeated...>[AnyRef]): Int

    Definition Classes
      ClassWriter

27. #### def newMethod(arg0: String, arg1: String, arg2: String, arg3: Boolean): Int

    Definition Classes
      ClassWriter

28. #### def newMethodType(arg0: String): Int

    Definition Classes
      ClassWriter

29. #### def newNameType(arg0: String, arg1: String): Int

    Definition Classes
      ClassWriter

30. #### def newUTF8(arg0: String): Int

    Definition Classes
      ClassWriter

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toByteArray(): Array[Byte]

    Definition Classes
      ClassWriter

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### final def visit(arg0: Int, arg1: Int, arg2: String, arg3: String, arg4: String, arg5: Array[String]): Unit

    Definition Classes
      ClassWriter → ClassVisitor

37. #### final def visitAnnotation(arg0: String, arg1: Boolean): AnnotationVisitor

    Definition Classes
      ClassWriter → ClassVisitor

38. #### final def visitAttribute(arg0: Attribute): Unit

    Definition Classes
      ClassWriter → ClassVisitor

39. #### final def visitEnd(): Unit

    Definition Classes
      ClassWriter → ClassVisitor

40. #### final def visitField(arg0: Int, arg1: String, arg2: String, arg3: String, arg4: Any): FieldVisitor

    Definition Classes
      ClassWriter → ClassVisitor

41. #### final def visitInnerClass(arg0: String, arg1: String, arg2: String, arg3: Int): Unit

    Definition Classes
      ClassWriter → ClassVisitor

42. #### final def visitMethod(arg0: Int, arg1: String, arg2: String, arg3: String, arg4: Array[String]): MethodVisitor

    Definition Classes
      ClassWriter → ClassVisitor

43. #### final def visitOuterClass(arg0: String, arg1: String, arg2: String): Unit

    Definition Classes
      ClassWriter → ClassVisitor

44. #### final def visitSource(arg0: String, arg1: String): Unit

    Definition Classes
      ClassWriter → ClassVisitor

45. #### final def visitTypeAnnotation(arg0: Int, arg1: TypePath, arg2: String, arg3: Boolean): AnnotationVisitor

    Definition Classes
      ClassWriter → ClassVisitor

46. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### def →[B](y: B): (CClassWriter, B)

    Implicit information
      This member is added by an implicit conversion from CClassWriter to ArrowAssoc[CClassWriter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from ClassWriter

### Inherited from ClassVisitor

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CClassWriter to any2stringadd[CClassWriter]

### Inherited by implicit conversion StringFormat from CClassWriter to StringFormat[CClassWriter]

### Inherited by implicit conversion Ensuring from CClassWriter to Ensuring[CClassWriter]

### Inherited by implicit conversion ArrowAssoc from CClassWriter to ArrowAssoc[CClassWriter]

### Ungrouped